function d = synccache(d)
%SYNCCACHE Cache some useful information inside the object
%    
%    D = SYNCCACHE(D) explicitely asks for caching computed
%    data inside the object in order to avoid future redundant
%    cumputation.
%    
%    

%MAN_PAGE_BEGIN
%
%   @purpose	Cache some useful information inside the object
%
%   @synopsis	d = synccache(d)
%   @description  explicitely asks for caching computed data inside the object in
%	order to avoid future redundant cumputation.
%
%
%MAN_PAGE_END

% By Antoine Duchateau. All Rights Reserved.
% Written: 1/06/99

if ~isempty(d.data),
	d.nv = size(d.data,2);
	d.ns = size(d.data,1);
end
